Subject: Re: untracked file deleted from the master branch, when checked out to it from a local branch

From: Marius Storm-Olsen <[email-masked]>
Date: Tue, 20 May 2014 13:44:57 -0500

On 5/20/2014 12:40 PM, Arup Rakshit wrote:
> On Tuesday, May 20, 2014 11:24:11 AM you wrote:
>> Arup Rakshit <[email-masked]> writes:
>>
>> Untracked files and modifications to files in your working directory
>> do not belong to your current branch.  This is to allow you, after
>> starting to work on one branch then realizing that the changes and
>> additions you are making do not belong there, to switch to a more
>> appropriate branch at that point without losing your work so far,
>> taking these changes and additions with you to the branch you want
>> to commit your changes to.
>>
> Now, It makes sense. I gave it another try and this time I walk from back to
> front.
>
> Now you can see, that I have created, a new file called *file.txt*, in the
> *master branch*.

NO, you didn't.

 > arup@linux-wzza:~/Git_tutorial> git status
 > # On branch master
 > # Untracked files:
 > #   (use "git add <file>..." to include in what will be committed)
 > #
 > #       file.txt

See that file.txt is listed under "Untracked files"?
Git sees the file, but since you haven't added it with "git add", it's 
untracked and Git doesn't care about it.

It lists it with the status command, so you will see that it's not yet 
tracked.

-- 
.marius